Bug Hunting Session
Bug 125424 - CRASH: Renaming template
Summary: CRASH: Renaming template
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression, wantBacktrace
Depends on:
Blocks:
 
Reported: 2019-05-21 14:45 UTC by Xisco Faulí
Modified: 2019-05-22 11:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-21 14:45:37 UTC
Steps to reproduce:
1. Open Impress
2. Right click on any template - Rename
3. Change the name as click on OK

-> Crash

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: a2da909adfe07d5a093485cc28283f5c100946ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-21 14:46:55 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d38f9934f08939032cca64a32de58fa3901a88d5

author	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-07 15:29:35 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-09 21:34:07 +0200
commit	d38f9934f08939032cca64a32de58fa3901a88d5 (patch)
tree	e853e4ad432ec1c8eb08bb4d430835682cda6b90
parent	c1e320836b7dbcd9fe6ded8352355ea6101bd821 (diff)
[API CHANGE] Asserts to never clear already cleared guard

Bisected with: bibisect-linux64-6.3 

Adding Cc: to Mike Kaganski
Comment 2 Mike Kaganski 2019-05-21 16:56:29 UTC
https://gerrit.libreoffice.org/72689

Thanks Xisco - that way, we'll get rid of those broken guard management sites.
Comment 3 Commit Notification 2019-05-21 19:55:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/165327d4ae442fb33b634577c32fe692a9293457%5E%21

tdf#125424: properly reset temporarily cleared guard

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-05-22 11:52:48 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: e7fb44b8c86b4dce1d4c6f15752cc3bf62b14888
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!